Subject: Re: Fw: [Bug 217640] New: 10G SFP+ and 1G Ethernet work at 100M on macchiatobin

From: "Russell King (Oracle)" <[email-masked]>
Date: Sun, 9 Jul 2023 06:40:22 +0100

On Sat, Jul 08, 2023 at 11:23:03PM +0200, Andrew Lunn wrote:
> Adding Russell King.
> 
>        Andrew
> 
> On Fri, Jul 07, 2023 at 07:59:19AM -0700, Stephen Hemminger wrote:
> > 
> > 
> > Begin forwarded message:
> > 
> > Date: Thu, 06 Jul 2023 23:23:02 +0000
> > From: [email-masked]
> > To: [email-masked]
> > Subject: [Bug 217640] New: 10G SFP+ and 1G Ethernet work at 100M on macchiatobin
> > 
> > 
> > https://bugzilla.kernel.org/show_bug.cgi?id=217640
> > 
> >             Bug ID: 217640
> >            Summary: 10G SFP+ and 1G Ethernet work at 100M on macchiatobin
> >            Product: Networking
> >            Version: 2.5
> >           Hardware: All
> >                 OS: Linux
> >             Status: NEW
> >           Severity: normal
> >           Priority: P3
> >          Component: Other
> >           Assignee: [email-masked]
> >           Reporter: [email-masked]
> >         Regression: No
> > 
> > Hi,
> > Since I upgrade linux kernel from 5.10.137 to 6.1.38 all my interface of
> > macchiatobin work at 100M (90 Mbits/sec detected by iperf)
> > ethtool detect the link at correct speed (10G for SFP+ and 1Gbps for ethernet)
> > What can be the regression?

I'm on holiday at the moment, so don't expect fast or full replies.

If ethtool is stating the correct link speed, then it's not a SFP layer
or phylink layer bug.

I don't see any problem with mvpp2 between Armada 8040 hardware running
6.3.0 and 6.1.0 kernels - according to iperf3:

[ ID] Interval           Transfer     Bitrate         Retr
[  5]   0.00-10.00  sec  1004 MBytes   842 Mbits/sec   46 sender
[  5]   0.00-10.00  sec  1001 MBytes   839 Mbits/sec      receiver

That's mcbin <-(copper)-> Clearfog Base <-(fibre)-> Clearfog gt-8k

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!